[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TComponentDataLink.LayoutChanged

Signals the OnLayoutChanged event handler when assigned.

## Declaration

Source position: dbgrids.pas line 216

`protected procedure TComponentDataLink.LayoutChanged; override;`

## Description

LayoutChanged is a procedure used to signal the OnLayoutChanged event handler when assigned in the class instance.

## See also

TCustomDBGrid.LayoutChanged |  | LayoutChanged links columns to Fields and inserts any required automatic columns.
TDataLink